<!-- <p>user-list works!</p> -->
<!-- <ul class="list-group">
    <li *ngIf="let post of posts" class="list-group-item">{{post.title}}</li>
</ul> -->

 <div *ngFor="let user of users" class="container container-fluid">
    <div class="cards col-s-12 col-m-4 col-l-4">
         <div class ="media-top">
            <a href="#">
                  <img src="media-object" src="user.UserModel.avatar" alt="" class="avatar">
             </a>
        </div>
        <div class="media-body">
            <h5 class="media-heading">{{user.UserModel.id}}</h5>
            <h4 class="media-heading">{{user.UserModel.first-name}}</h4>
            <h4 class="media-heading">{{user.UserModel.last-name}}</h4>
            <a href="user.UserModel.email">{{user.UserModel.email}}</a>
        </div>

    </div>
<!-- if user pressed the Button, this box will show more information -->
    <div *ngIf= 'hide' *ngFor="let user of users" class="container container-fluid">
        <div class="cards col-s-12 col-m-4 col-l-4">
             <div class ="media-top">
                <a href="#">
                      <img src="media-object" src="user.UserModel.avatar" alt="" class="avatar">
                 </a>
            </div>
            <div class="media-body">
                <h5 class="media-heading">{{user.UserModel.id}}</h5>
                <h4 class="media-heading">{{user.UserModel.first-name}}</h4>
                <h4 class="media-heading">{{user.UserModel.last-name}}</h4>
                <a href="user.UserModel.email">{{user.UserModel.email}}</a>
            </div>
    
        </div>
    <p>
       <button type="submit" class="btn btn-primary" (click)="show()" #theBtn>show more users</button>
    </p>
</div> 

<!-- پروژه ی سوپروایزر من  -->
<!-- <div style='position: relative;'>
   <form [formGroup]="userForm" (ngSubmit)="onSubmit" #f="ngForm">

   </form>
</div> -->




<!-- the showing DatA bOX FOR kILID  -->
<!-- <nav> list of People From postman </nav>
<form [formGroup]="profileForm" (ngSubmit)="onSubmit()"></form>>
<div class=initial> -->
    <!-- 1 -->
    <!-- <div class="col-s-12 col-m-4 col-l-4">
        <label></label>
    </div> -->
    <!-- 2 -->
    <!-- <div class="col-s-12 col-m-4 col-l-4">
        <label></label>
    </div> -->
    <!-- 3 -->
    <!-- <div class="col-s-12 col-m-4 col-l-4">
        <label></label>
    </div> -->
    <!-- 4 -->
    <!-- <div class="col-s-12 col-m-4 col-l-4">
        <label></label>
    </div> -->
    <!-- 5 -->
    <!-- <div class="col-s-12 col-m-4 col-l-4">
        <label></label>
    </div> -->
    <!-- 6 -->
    <!-- <div class="col-s-12 col-m-4 col-l-4">
        <label></label>
    </div>
</div>
<div class="afterSubmit"> -->
    <!-- 7 -->
    <!-- <div class="col-s-12 col-m-4 col-l-4">
        <label></label>
    </div> -->
    <!-- 8 -->
    <!-- <div class="col-s-12 col-m-4 col-l-4">
        <label></label>
    </div> -->
    <!-- 9 -->
    <!-- <div class="col-s-12 col-m-4 col-l-4">
        <label></label>
    </div> -->
    <!-- 10 -->
    <!-- <div class="col-s-12 col-m-4 col-l-4">
        <label></label>
    </div> -->
    <!-- 11 -->
    <!-- <div class="col-s-12 col-m-4 col-l-4">
        <label></label>
    </div> -->
    <!-- 12 -->
    <!-- <div class="col-s-12 col-m-4 col-l-4">
        <label></label>
    </div>
</div>
</form> -->
